import * as React from 'react';
import { ViewStyle } from 'react-native';
import { AirshipBridge } from '../types';
export interface AirshipModalProps<T = unknown> {
    bridge: AirshipBridge<T>;
    children?: React.ReactNode;
    onCancel: () => void;
    center?: boolean;
    backgroundColor?: string;
    borderRadius?: number;
    borderColor?: string;
    borderWidth?: number;
    flexDirection?: ViewStyle['flexDirection'];
    justifyContent?: ViewStyle['justifyContent'];
    margin?: number | number[];
    maxHeight?: number;
    maxWidth?: number;
    overflow?: 'visible' | 'scroll' | 'hidden';
    padding?: number | number[];
    shadowOffset?: {
        height: number;
        width: number;
    };
    shadowOpacity?: number;
    shadowRadius?: number;
    slideInMs?: number;
    slideOutMs?: number;
    underlay?: string | React.ReactElement;
}
/**
 * A modal that slides a modal up from the bottom of the screen
 * and dims the rest of the app.
 */
export declare function AirshipModal<T>(props: AirshipModalProps<T>): JSX.Element;
